// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded startup scripts)')



StartupEvents.registry("item", event => {
  event.create("ynm_origin_core") 
      .displayName("YNM Origin Core") 
      .maxStackSize(7)
  event.create("origin_ender_eye")
      .displayName("Origin Ender eye") 
      .maxStackSize(7)
  event.create("origin_ender_pearl")
      .displayName("Origin Ender Pearl") 
      .maxStackSize(7)

  event.create("dark_iron_nugget") 
      .displayName("Dark Iron Nugget") 
      .maxStackSize(64)

})

ItemEvents.modification(event => {
  event.modify('minecraft:turtle_helmet', item => {
      item.rarity = "RARE"
      item.setMaxDamage(681)
  })
  event.modify('blue_skies:diopside_sword', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_shovel', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_pickaxe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_axe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:diopside_hoe', item => {
      item.rarity = "common"
      item.setMaxDamage(661)
  })
  event.modify('blue_skies:chaorite_sword', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_shovel', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_pickaxe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_axe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('blue_skies:chaorite_hoe', item => {
      item.rarity = "common"
      item.setMaxDamage(931)
  })
  event.modify('chococraft:choco_disguise_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})
event.modify('chococraft:choco_disguise_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(120)
})

event.modify('farmersdelight:diamond_knife', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('nethersdelight:diamond_machete', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('minecraft:diamond_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(363)
})

event.modify('minecraft:diamond_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(528)
})

event.modify('minecraft:diamond_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(495)
})

event.modify('minecraft:diamond_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(429)
})

event.modify('minecraft:diamond_sword', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('minecraft:diamond_pickaxe', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('minecraft:diamond_axe', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('minecraft:diamond_hoe', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})

event.modify('minecraft:diamond_shovel', item => {
    item.rarity = "common"
    item.setMaxDamage(1561)
})







event.modify('minecraft:anoxite_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(407)
})

event.modify('hardmodeprogression:anoxite_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(592)
})

event.modify('hardmodeprogression:anoxite_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(555)
})

event.modify('hardmodeprogression:anoxite_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(481)
})

event.modify('hardmodeprogression:anoxite_sword', item => {
    item.rarity = "common"
    item.setMaxDamage(1862)
})

event.modify('hardmodeprogression:anoxite_pickaxe', item => {
    item.rarity = "common"
    item.setMaxDamage(1862)
})

event.modify('hardmodeprogression:anoxite_axe', item => {
    item.rarity = "common"
    item.setMaxDamage(1862)
})

event.modify('hardmodeprogression:anoxite_hoe', item => {
    item.rarity = "common"
    item.setMaxDamage(1862)
})

event.modify('hardmodeprogression:anoxite_shovel', item => {
    item.rarity = "common"
    item.setMaxDamage(1862)
})



event.modify('minecraft:netherite_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(481)
})

event.modify('minecraft:netherite_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(666)
})

event.modify('minecraft:netherite_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(629)
})

event.modify('minecraft:netherite_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(555)
})

event.modify('minecraft:netherite_sword', item => {
    item.rarity = "common"
    item.setMaxDamage(2031)
})

event.modify('minecraft:netherite_pickaxe', item => {
    item.rarity = "common"
    item.setMaxDamage(2031)
})

event.modify('minecraft:netherite_axe', item => {
    item.rarity = "common"
    item.setMaxDamage(2031)
})

event.modify('minecraft:netherite_hoe', item => {
    item.rarity = "common"
    item.setMaxDamage(2031)
})

event.modify('minecraft:netherite_shovel', item => {
    item.rarity = "common"
    item.setMaxDamage(2031)
})



event.modify('ad_astra:netherite_space_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(481)
})

event.modify('ad_astra:netherite_space_chestplate', item => {
    item.rarity = "common"
    item.setMaxDamage(666)
})

event.modify('ad_astra:netherite_space_leggings', item => {
    item.rarity = "common"
    item.setMaxDamage(629)
})

event.modify('ad_astra:netherite_space_boots', item => {
    item.rarity = "common"
    item.setMaxDamage(555)
})





event.modify('gildednetherite:gilded_netherite_helmet', item => {
    item.rarity = "RARE"
    item.setMaxDamage(481)
})

event.modify('gildednetherite:gilded_netherite_chestplate', item => {
    item.rarity = "RARE"
    item.setMaxDamage(666)
})

event.modify('gildednetherite:gilded_netherite_leggings', item => {
    item.rarity = "RARE"
    item.setMaxDamage(629)
})

event.modify('gildednetherite:gilded_netherite_boots', item => {
    item.rarity = "RARE"
    item.setMaxDamage(555)
})

event.modify('gildednetherite:gilded_netherite_sword', item => {
    item.rarity = "RARE"
    item.setMaxDamage(2031)
})

event.modify('gildednetherite:gilded_netherite_pickaxe', item => {
    item.rarity = "RARE"
    item.setMaxDamage(2031)
})

event.modify('gildednetherite:gilded_netherite_axe', item => {
    item.rarity = "RARE"
    item.setMaxDamage(2031)
})

event.modify('gildednetherite:gilded_netherite_hoe', item => {
    item.rarity = "RARE"
    item.setMaxDamage(2031)
})

event.modify('gildednetherite:gilded_netherite_shovel', item => {
    item.rarity = "RARE"
    item.setMaxDamage(2031)
})

event.modify('cataclysm:monstrous_helm', item => {
    item.rarity = "RARE"
    item.setMaxDamage(481)
})


event.modify('create:netherite_diving_helmet', item => {
    item.rarity = "common"
    item.setMaxDamage(481)
})

event.modify('create:netherite_diving__boots', item => {
    item.rarity = "common"
    item.setMaxDamage(555)
})

event.modify('majruszsdifficulty:enderium_helmet', item => {
    item.setMaxDamage(555)
})

event.modify('majruszsdifficulty:enderium_chestplate', item => {
    item.setMaxDamage(740)
})

event.modify('majruszsdifficulty:enderium_leggings', item => {
    item.setMaxDamage(703)
})

event.modify('majruszsdifficulty:enderium_boots', item => {
    item.setMaxDamage(629)
})

event.modify('deeperdarker:warden_helmet', item => {
    item.setMaxDamage(636)
})

event.modify('deeperdarker:warden_chestplate', item => {
    item.setMaxDamage(1004)
})

event.modify('deeperdarker:warden_leggings', item => {
    item.setMaxDamage(963)
})

event.modify('deeperdarker:warden_boots', item => {
    item.setMaxDamage(719)
})

event.modify('electrum_gear:electrum_shield', item => {
    item.setMaxDamage(619)
})

event.modify('shieldexp:iron_shield', item => {
    item.setMaxDamage(672)
})

event.modify('shieldexp:griefer_shield', item => {
    item.setMaxDamage(784)
})

event.modify('shieldexp:diamond_shield', item => {
    item.setMaxDamage(1061)
})

event.modify('shieldexp:netherite_shield', item => {
    item.setMaxDamage(1512)
})


})


 

  




